Subject: [regext] 7482bis: "..." in Path Segment Specification Clarification

From: "Hollenbeck, Scott" <[email-masked]>
Date: Thu, 23 Jan 2020 14:16:15 +0000

Section 3.1.1 contains this text:

Queries for information about IP networks are of the form /ip/XXX/... or /ip/XXX/YY/...  where the path segment following 'ip' is either an IPv4 dotted decimal or IPv6 [RFC5952] address (i.e., XXX) or an IPv4 or IPv6 Classless Inter-domain Routing (CIDR) [RFC4632] notation address block (i.e., XXX/YY).

Section 3.1.2:

Queries for information regarding Autonomous System number registrations are of the form /autnum/XXX/... where XXX is an asplain Autonomous System number [RFC5396].

Section 3.1.3:

Queries for domain information are of the form /domain/XXXX/..., where XXXX is a fully qualified (relative to the root) domain name (as specified in [RFC0952] and [RFC1123]) in either the in-addr.arpa or ip6.arpa zones (for RIRs) or a fully qualified domain name in a zone administered by the server operator (for DNRs).

However, the "..." doesn't represent any additional parameters. Proposed changes:

Queries for information about IP networks are of the form /ip/XXX or /ip/XXX/YY  where the path segment following 'ip' is either an IPv4 dotted decimal or IPv6 [RFC5952] address (i.e., XXX) or an IPv4 or IPv6 Classless Inter-domain Routing (CIDR) [RFC4632] notation address block (i.e., XXX/YY).

Queries for information regarding Autonomous System number registrations are of the form /autnum/XXX where XXX is an asplain Autonomous System number [RFC5396].

Queries for domain information are of the form /domain/XXXX, where XXXX is a fully qualified (relative to the root) domain name (as specified in [RFC0952] and [RFC1123]) in either the in-addr.arpa or ip6.arpa zones (for RIRs) or a fully qualified domain name in a zone administered by the server operator (for DNRs).

What do people think about this proposal?

Scott

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Wed, 29 Jan 2020 15:53:30 +0000

> -----Original Message-----
> From: regext <[email-masked]> On Behalf Of Hollenbeck, Scott
> Sent: Thursday, January 23, 2020 9:16 AM
> To: [email-masked]
> Subject: [EXTERNAL] [regext] 7482bis: "..." in Path Segment Specification
> Clarification
>
> Queries for information about IP networks are of the form /ip/XXX/... or
> /ip/XXX/YY/...  where the path segment following 'ip' is either an IPv4 dotted
> decimal or IPv6 [RFC5952] address (i.e., XXX) or an IPv4 or IPv6 Classless
> Inter-domain Routing (CIDR) [RFC4632] notation address block (i.e., XXX/YY).
>
> Section 3.1.2:
>
> Queries for information regarding Autonomous System number registrations
> are of the form /autnum/XXX/... where XXX is an asplain Autonomous
> System number [RFC5396].
>
> Section 3.1.3:
>
> Queries for domain information are of the form /domain/XXXX/..., where
> XXXX is a fully qualified (relative to the root) domain name (as specified in
> [RFC0952] and [RFC1123]) in either the in-addr.arpa or ip6.arpa zones (for
> RIRs) or a fully qualified domain name in a zone administered by the server
> operator (for DNRs).
>
> Queries for information about IP networks are of the form /ip/XXX or
> /ip/XXX/YY  where the path segment following 'ip' is either an IPv4 dotted
> decimal or IPv6 [RFC5952] address (i.e., XXX) or an IPv4 or IPv6 Classless
> Inter-domain Routing (CIDR) [RFC4632] notation address block (i.e., XXX/YY).
>
> Queries for information regarding Autonomous System number registrations
> are of the form /autnum/XXX where XXX is an asplain Autonomous System
> number [RFC5396].
>
> Queries for domain information are of the form /domain/XXXX, where XXXX
> is a fully qualified (relative to the root) domain name (as specified in
> [RFC0952] and [RFC1123]) in either the in-addr.arpa or ip6.arpa zones (for
> RIRs) or a fully qualified domain name in a zone administered by the server
> operator (for DNRs).
>

I've made these changes in -01.

Scott